Bug 1626255 - vncserver will not start due to SELinux policy for pid in user directory
Summary: vncserver will not start due to SELinux policy for pid in user directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: 29
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 21:11 UTC by Robert Moskowitz
Modified: 2019-12-05 01:10 UTC (History)
5 users (show)

Fixed In Version: tigervnc-1.10.0-1.fc31 tigervnc-1.10.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:07:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Moskowitz 2018-09-06 21:11:32 UTC
Description of problem:

vncserver fails to start.  status shows the error:

Can't convert PID files /home/rgm/.vnc/localhost:1.pid O_PATH file descriptor
to proper file descriptor: Permission denied

Version-Release number of selected component (if applicable):

tigervnc-server        armv7hl        1.9.0-2.fc29

How reproducible:

Very

Steps to Reproduce:
1. dnf install tigervnc-server
2. cp /lib/systemd/system/vncserver@.service /etc/systemd/system/vncserver@:1.service
3. change <USER> to userid
4. systemctl daemon-reload
5. systemctl start vncserver@:1
6. systemctl status vncserver@:1

Actual results:

Get error

Expected results:

vncserver SHOULD start

Additional info:

Per bug 1577511, I made the following SELinux policy change:

cat > systemd-tigervnc.te
module systemd-tigervnc 1.0;

require {
	type init_t;
	type user_home_t;
	class file { open read unlink };
}

#============= init_t ==============
allow init_t user_home_t:file { open read unlink };

Then run: 

checkmodule -M -m -o /tmp/systemd-tigervnc.mod systemd-tigervnc.te
semodule_package -o /tmp/systemd-tigervnc.pp -m /tmp/systemd-tigervnc.mod
semodule -X 300 -i /tmp/systemd-tigervnc.pp

Restart vncserver, and no more permissions problems and pid is created in ~/.vnc/

Please fix install process to do this automatically.

Comment 1 Ben Cotton 2019-10-31 20:42:50 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2019-11-19 07:14:48 UTC
FEDORA-2019-9d359ffa60 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d359ffa60

Comment 3 Fedora Update System 2019-11-19 07:14:48 UTC
FEDORA-2019-9efa3fc4f8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9efa3fc4f8

Comment 4 Fedora Update System 2019-11-20 01:27:43 UTC
tigervnc-1.10.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d359ffa60

Comment 5 Fedora Update System 2019-11-20 02:19:27 UTC
tigervnc-1.10.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9efa3fc4f8

Comment 6 Ben Cotton 2019-11-27 18:07:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Fedora Update System 2019-11-29 00:53:34 UTC
tigervnc-1.10.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-12-05 01:10:24 UTC
tigervnc-1.10.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.